package com.redhat.thermostat.tools.eclipse.plugin.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;

public class Options {

    private Group group;
    private List<Option> options = new ArrayList<>();

    public Options() {
        // empty no-arg constructor
    }

    public Options(Options other) {
        if (other.group != null) {
            this.group = new Group(other.group);
        }

        if (other.options != null) {
            this.options = new ArrayList<>(other.options.size());
            for (Option option : other.options) {
                this.options.add(new Option(option));
            }
        }
    }

    public Group getGroup() {
        return group;
    }

    public void setGroup(Group group) {
        this.group = group;
    }

    @XmlElement(name="option")
    public List<Option> getOptions() {
        return options;
    }

    public void setOptions(List<Option> options) {
        this.options = options;
    }
}
